clear;
close all;

fd = fopen('MCD_DataLog.dat');
time = fread(fd, inf, 'uint32', 4);
fclose(fd);

time = (time - time(1))/1000;
fd = fopen('MCD_DataLog.dat');
fread(fd, 4, 'uchar');
tacho_count = fread(fd, inf, 'int16', 6);
fclose(fd);

fd = fopen('MCD_DataLog.dat');
fread(fd, 6, 'uchar');
motor_output = fread(fd, inf, 'int16', 6);
fclose(fd);

reference = ones(size(tacho_count))*90;

figure
plot(time, tacho_count, 'r', ...
     time, motor_output, 'b',...
     time, reference,    'k:');
legend('Tacho Reading (Degrees) ', ...
       'Command Output to Motor (Percentage of full power)', ...
       'Reference Input to Controller (Degrees)');
title 'Data Logged from Motor Controller Demo'
xlabel 'Time (s)'

